Bug 102755 - usb-core module + RAID0 (Adaptect 2940W aic7xxx) hangs sytem
Summary: usb-core module + RAID0 (Adaptect 2940W aic7xxx) hangs sytem
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-20 17:54 UTC by Don
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-12 12:07:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System info (14.94 KB, text/plain)
2003-08-20 18:00 UTC, Don
no flags Details
/var/log/messages (48.85 KB, text/plain)
2003-08-20 18:03 UTC, Don
no flags Details

Description Don 2003-08-20 17:54:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.1.4322)

Description of problem:
Problem:

When usb-core is compiled as a module, system locks sporadically - no console 
access, cannot ssh, etc.  If left alone, it will come back after some time (up 
to an hour).  (See attached /var/log/messages.)

If I compile a custom kernel, and make usb support part of the kernel, instead 
of a module, I never experience this issue.

OS is installed on 1 SCSI disk
Using RAID0 array with 8 disks for file server partition

I think raid0 is significant.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-19.9

How reproducible:
Always

Steps to Reproduce:
1.  Boot stock kernel
2.  Perform some I/O instensive operation (extract kernel source)
3.  When machine locks, do not reboot it.  Leave it alone.
    

Additional info:

Comment 1 Don 2003-08-20 18:00:12 UTC
Created attachment 93790 [details]
System info

Comment 2 Don 2003-08-20 18:03:03 UTC
Created attachment 93791 [details]
/var/log/messages

This /var/log/messages excerpt shows the system was locked from 15:57 until
16:39

Lots of SCSI debug info

Comment 3 Pete Zaitcev 2003-08-20 18:16:45 UTC
What does happen if you press NumLock, does the LED switch on/off?

Comment 4 Pete Zaitcev 2003-11-11 00:19:04 UTC
Poking requestor with a sharp stick and NEEDINFO-ing.


Comment 5 Don 2003-11-12 12:07:45 UTC
Sorry for never following up on this defect...  When I stated above
"If I compile a custom kernel, and make usb support part of the
kernel, instead of a module, I never experience this issue," I was
wrong.  The issue still happened (just took a few days).

I ended up putting the SCSI card and disk array in a different PC
(also an HP Kayak, but a newer model).  The problem went away after that.

So, I can no longer reproduce the issue, or do any more tests.  The
problem was either a hardware compatibility issue, or perhaps a bad
motherboard, CPU, RAM, or other hardware.

This bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.